Main Page Alphabetical List Compound List File List Compound Members Related Pages

# THistogram Class Reference

This Class holds the histogram data and draws it to a TPaintBox. More...

`#include <histo.h>`

List of all members.

## Public Methods
void __fastcall | drawTo (TPaintBox *pb)
| Use this to draw to a TPaintBox.
float __fastcall | getHPP (TPaintBox *pb)
| Get the actual resolution in histo direction for the PaintBox.
float __fastcall | getVPP (TPaintBox *pb)
| Get the actual resolution in histo direction for the PaintBox.
float __fastcall | getHMaxZoom (TControl *pb)
| Get the maximum resolution in histo direction for the PaintBox.
## Private Attributes
int * | _histo
| The histogram array.

## Detailed Description

This Class holds the histogram data and draws it to a TPaintBox.

This Class is used to create a histogram. Therefor it has to initialized with the volume data by incrementing the several density data. After this it can be drawn to TPaintBoxes.

Definition at line 22 of file histo.h.

## Member Function Documentation

void __fastcall THistogram::drawTo | ( | TPaintBox * | pb | ) |

  | Use this to draw to a TPaintBox. Parameters:
  pb | The PaintBox to be drawn to.
Definition at line 72 of file histo.cpp. References _histo, and getHPP().

float __fastcall THistogram::getHMaxZoom | ( | TControl * | pb | ) |

  | Get the maximum resolution in histo direction for the PaintBox. Parameters:
  pb | The PaintBox, for which the resolution should be calculated.
Definition at line 65 of file histo.cpp.

float __fastcall THistogram::getHPP | ( | TPaintBox * | pb | ) |

  | Get the actual resolution in histo direction for the PaintBox. Parameters:
  pb | The PaintBox, for which the resolution should be calculated.
Definition at line 49 of file histo.cpp. Referenced by drawTo(), TLine::getEndX(), TLine::getStartX(), and TTransfer::split().

float __fastcall THistogram::getVPP | ( | TPaintBox * | pb | ) |

  | Get the actual resolution in histo direction for the PaintBox. Parameters:
  pb | The PaintBox, for which the resolution should be calculated.
Definition at line 57 of file histo.cpp.

## Member Data Documentation

int* THistogram::_histo`[private]`

| The histogram array. It will be created with size _size. Definition at line 28 of file histo.h. Referenced by drawTo().

The documentation for this class was generated from the following files:

- histo.h
- histo.cpp